require File.expand_path('lib/web_package/version', __dir__)
require 'date'

Gem::Specification.new do |s|
  s.name        = 'web_package'
  s.version     = WebPackage::VERSION
  s.date        = Date.today.to_s
  s.summary     = 'Packaging Websites with Ruby.'
  s.description = 'Ruby implementation of Signed HTTP Exchange format, allowing a browser to '\
                  'trust that a HTTP request-response pair was generated by the origin it claims.'
  s.authors     = ['Oleg Afanasyev', 'Alexey Martynyuk']
  s.email       = ['gafrom@gmail.com']
  s.homepage    = 'https://github.com/gafrom/web_package'
  s.license     = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.require_paths = ['lib']

  s.required_ruby_version = '>=2.2.0'

  s.add_development_dependency 'rubocop', '~> 0.67'
end
